### org.jfree.layouting.layouter.content.statics

# Class FormattedContentToken

- `java.lang.Object`
- - `org.jfree.layouting.layouter.content.statics.StaticToken`
  - - `org.jfree.layouting.layouter.content.statics.FormattedContentToken`

Implemented Interfaces:
  ContentToken, FormattedTextType, TextType

`public class FormattedContentToken`
`extends StaticToken`
`implements FormattedTextType`

Creation-Date: 04.07.2006, 20:16:16

Author:
  Thomas Morgner

  ## Constructor Summary

  `FormattedContentToken(Object original, Format format, String text)`

  ## Method Summary

  `Format`

  `getFormat()`

  `Object`

  `getOriginal()`

  `String`

  `getText()`

## Constructor Details

### FormattedContentToken

    public FormattedContentToken(Object original,
                                 Format format,
                                 String text)

## Method Details

### getFormat

    public Format getFormat()

> Specified by:
>   getFormat in interface FormattedTextType

### getOriginal

    public Object getOriginal()

> Specified by:
>   getOriginal in interface FormattedTextType

### getText

    public String getText()

> Specified by:
>   getText in interface TextType